%define lib_name_orig	libaqsis
%define major 1
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	RenderMan-compliant 3D rendering solution
Name:		aqsis
Version:	1.6.0
Release:	%mkrel 14
License:	GPLv2+
Group:		Graphics
Url:		http://www.aqsis.org/
Source0:	http://downloads.sourceforge.net/aqsis/%{name}-%{version}.tar.bz2
Patch0:		aqsis-1.6.0-missing-cstddef.patch
BuildRequires:	tiff-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	fltk-devel
BuildRequires:	cmake
BuildRequires:	libxslt-proc
BuildRequires:	OpenEXR-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel
Requires:	%{libname} = %{version}-%{release}

%description
Tha Aqsis rendering system consists of a set of libraries and applications for
creating high-quality computer imagery using the Pixar RenderMan Interface.

%package -n %{libname}
Summary:	Aqsis library
Group:		System/Libraries

%description -n %{libname}
The Aqsis library.

%package -n %{develname}
Summary:	Development files for Aqsis
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 -d
Provides:	%mklibname %{name} 1 -d

%description -n %{develname}
The Aqsis library developpement files.

%prep
%setup -q
%patch0 -p0

%build
# (tpg) this is needec, because upstream didn't cleaned tarball
# next release should be ok
rm -rf build
export CXXFLAGS="%optflags  -DBOOST_FILESYSTEM_VERSION=2"

%cmake \
    -DAQSIS_USE_FLTK:BOOL=ON \
    -DAQSIS_USE_OPENEXR:BOOL=ON \
    -DAQSIS_BOOST_LIB_SUFFIX:STRING=-mt \
    -DCMAKE_CMAKE_BUILD_TYPE=Release \
    -DAQSIS_ENABLE_TESTING:BOOL=OFF \
    -DAQSIS_USE_PLUGINS:BOOL=ON \
    -DAQSIS_USE_TIMERS:BOOL=ON \
    -DSYSCONFDIR:STRING=%{_sysconfdir} \
    -DLIBDIR="%{_libdir}" \
    -DDEFAULT_DISPLAYPATH="%{_libdir}/%{name}"

%make

%install
%makeinstall_std -C build

%files
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/aqsis.xml
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png

%files -n %{libname}
%{_libdir}/%{name}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*


%changelog

* Fri Dec 23 2011 fwang <fwang> 1.6.0-14.mga2
+ Revision: 186410
- fix build with gcc 4.6
- rebuild for new tiff

* Mon Nov 28 2011 fwang <fwang> 1.6.0-13.mga2
+ Revision: 173453
- rebuild for new boost
- rebuild for new boost

* Mon Jul 11 2011 fwang <fwang> 1.6.0-11.mga2
+ Revision: 122103
- rebuild for new fltk

* Wed Jun 22 2011 fwang <fwang> 1.6.0-10.mga2
+ Revision: 111859
- rebuild for new boost

* Tue Jun 21 2011 dmorgan <dmorgan> 1.6.0-9.mga2
+ Revision: 111346
- Rebuild against new boost

* Wed Mar 23 2011 dmorgan <dmorgan> 1.6.0-8.mga1
+ Revision: 75783
- Remove mdv macros
- imported package aqsis

